#ifndef _SOLARISCOMM_H_
#define _SOLARISCOMM_H_

#include "commdef.h"
#include "if.h"

#include <pthread.h>

class SolarisCommInterface : public ArcInterface
{
public:		
	SolarisCommInterface();	
	~SolarisCommInterface();
	bool init(const char nPortNum, char nBaudRate = 7, char nStopBit = 0);
	int send(sIF_CMD_BLOCK *ifData);	
	int recv(sIF_CMD_BLOCK *ifData);		
	int syncSend(sIF_CMD_BLOCK *ifData);
	void requirelock();
  void releaselock();
  int	getMTU();
	void *getDeviceHandle();
	BOOL ClearReadBuffer();
	BOOL ClearWriteBuffer();
	BOOL ClearReadWriteBuffer();

private:
	int	m_hComm;	
  int fd;
  pthread_mutex_t mut;
};

#endif
